Package weka.core.pmml.jaxbbindings

# Class TrainingInstances

java.lang.Object
weka.core.pmml.jaxbbindings.TrainingInstances

public class TrainingInstances extends Object

Java class for TrainingInstances element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="TrainingInstances">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}InstanceFields"/>
               <choice>
                 <element ref="{http://www.dmg.org/PMML-4_1}TableLocator"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}InlineTable"/>
               </choice>
             </sequence>
             <attribute name="fieldCount" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             <attribute name="isTransformed" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
             <attribute name="recordCount" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrainingInstances()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `BigInteger`
  `getFieldCount()`
  Gets the value of the fieldCount property.
  `InlineTable`
  `getInlineTable()`
  Gets the value of the inlineTable property.
  `InstanceFields`
  `getInstanceFields()`
  Gets the value of the instanceFields property.
  `BigInteger`
  `getRecordCount()`
  Gets the value of the recordCount property.
  `TableLocator`
  `getTableLocator()`
  Gets the value of the tableLocator property.
  `boolean`
  `isIsTransformed()`
  Gets the value of the isTransformed property.
  `void`
  `setFieldCount(BigInteger value)`
  Sets the value of the fieldCount property.
  `void`
  `setInlineTable(InlineTable value)`
  Sets the value of the inlineTable property.
  `void`
  `setInstanceFields(InstanceFields value)`
  Sets the value of the instanceFields property.
  `void`
  `setIsTransformed(Boolean value)`
  Sets the value of the isTransformed property.
  `void`
  `setRecordCount(BigInteger value)`
  Sets the value of the recordCount property.
  `void`
  `setTableLocator(TableLocator value)`
  Sets the value of the tableLocator property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TrainingInstances

    public TrainingInstances()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getInstanceFields

    public InstanceFields getInstanceFields()
    Gets the value of the instanceFields property.
    Returns:
      possible object is `InstanceFields`

  - ### setInstanceFields

    public void setInstanceFields(InstanceFields value)
    Sets the value of the instanceFields property.
    Parameters:
      `value` - allowed object is `InstanceFields`

  - ### getTableLocator

    public TableLocator getTableLocator()
    Gets the value of the tableLocator property.
    Returns:
      possible object is `TableLocator`

  - ### setTableLocator

    public void setTableLocator(TableLocator value)
    Sets the value of the tableLocator property.
    Parameters:
      `value` - allowed object is `TableLocator`

  - ### getInlineTable

    public InlineTable getInlineTable()
    Gets the value of the inlineTable property.
    Returns:
      possible object is `InlineTable`

  - ### setInlineTable

    public void setInlineTable(InlineTable value)
    Sets the value of the inlineTable property.
    Parameters:
      `value` - allowed object is `InlineTable`

  - ### getFieldCount

    public BigInteger getFieldCount()
    Gets the value of the fieldCount property.
    Returns:
      possible object is `BigInteger`

  - ### setFieldCount

    public void setFieldCount(BigInteger value)
    Sets the value of the fieldCount property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### isIsTransformed

    public boolean isIsTransformed()
    Gets the value of the isTransformed property.
    Returns:
      possible object is `Boolean`

  - ### setIsTransformed

    public void setIsTransformed(Boolean value)
    Sets the value of the isTransformed property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getRecordCount

    public BigInteger getRecordCount()
    Gets the value of the recordCount property.
    Returns:
      possible object is `BigInteger`

  - ### setRecordCount

    public void setRecordCount(BigInteger value)
    Sets the value of the recordCount property.
    Parameters:
      `value` - allowed object is `BigInteger`